Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableServer::RequestProcessingPolicy Class Reference

`#include <PortableServerC.h>`

Inheritance diagram for PortableServer::RequestProcessingPolicy:

[legend]
Collaboration diagram for PortableServer::RequestProcessingPolicy:

[legend]
List of all members.

## Public Types
typedef RequestProcessingPolicy_ptr | _ptr_type
typedef RequestProcessingPolicy_var | _var_type
## Public Methods
virtual::PortableServer::RequestProcessingPolicyValue | value (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
## Static Public Methods
RequestProcessingPolicy_ptr | _duplicate (RequestProcessingPolicy_ptr obj)
RequestProcessingPolicy_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
RequestProcessingPolicy_ptr | _nil (void)
void | _tao_any_destructor (void *)
## Protected Methods
| RequestProcessingPolicy (void)
virtual | ~RequestProcessingPolicy (void)
## Private Methods
| RequestProcessingPolicy (const RequestProcessingPolicy &)
void | operator= (const RequestProcessingPolicy &)

## Member Typedef Documentation

typedef RequestProcessingPolicy_ptr PortableServer::RequestProcessingPolicy::_ptr_type

| Reimplemented from CORBA::Policy.

typedef RequestProcessingPolicy_var PortableServer::RequestProcessingPolicy::_var_type

| Reimplemented from CORBA::Policy.

## Constructor & Destructor Documentation

PortableServer::RequestProcessingPolicy::RequestProcessingPolicy | ( | void |  | ) | `[protected]`

PortableServer::RequestProcessingPolicy::~RequestProcessingPolicy | ( | void |  | ) | `[protected, virtual]`

PortableServer::RequestProcessingPolicy::RequestProcessingPolicy | ( | const RequestProcessingPolicy & |  | ) | `[private]`

## Member Function Documentation

PortableServer::RequestProcessingPolicy_ptr PortableServer::RequestProcessingPolicy::_duplicate | ( | RequestProcessingPolicy_ptr | obj | ) | `[static]`

const char * PortableServer::RequestProcessingPolicy::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Policy.

virtual CORBA::Boolean PortableServer::RequestProcessingPolicy::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Reimplemented from CORBA::Policy.

RequestProcessingPolicy_ptr PortableServer::RequestProcessingPolicy::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from CORBA::Policy.

RequestProcessingPolicy_ptr PortableServer::RequestProcessingPolicy::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from CORBA::Policy.

void PortableServer::RequestProcessingPolicy::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Reimplemented from CORBA::Policy.

CORBA::Boolean PortableServer::RequestProcessingPolicy::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Reimplemented from CORBA::Policy.

void PortableServer::RequestProcessingPolicy::operator= | ( | const RequestProcessingPolicy & |  | ) | `[private]`

virtual ::PortableServer::RequestProcessingPolicyValue PortableServer::RequestProcessingPolicy::value | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_Request_Processing_Policy.

The documentation for this class was generated from the following files:

- PortableServerC.h
- PortableServerC.cpp